#ifndef TMOTE_SENSE_H
#define TMOTE_SENSE_H

enum {
  AM_TMOTESENSEMSG=0x89         //The TinyOS communication toolchain requires being able to figure out
};                              //which AM types correspond to what kinds of packets. To determine this,
                                //for a packet type named X, mig looks for a constant of the form AM_X.

typedef nx_struct TmoteSenseMsg {
  nx_uint8_t counter;
  nx_uint16_t temperature;
  nx_uint16_t light;
} TmoteSenseMsg;

#endif  //TMOTE_SENSE_H
